package com.inkasso.factoring.financingmanagement.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.inkasso.factoring.financingmanagement.dao.ContractSignConfirmMapper;
import com.inkasso.factoring.financingmanagement.entity.ContractSignConfirm;
import com.inkasso.factoring.financingmanagement.service.IContractSignConfirmService;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Author : L.Jia
 * @Date: 2024-02-23 14:19
 */
@Service
public class ContractSignConfirmServiceImpl extends ServiceImpl<ContractSignConfirmMapper, ContractSignConfirm>
        implements IContractSignConfirmService {

    @Override
    public ContractSignConfirm getByFinancingApplyId(Long financingApplyId, boolean visible) {
        return baseMapper.getByFinancingApplyId(financingApplyId, visible);
    }

    @Override
    public Long getContractInfoIdByFinancingApplyId(Long financingApplyId) {
        return baseMapper.getContractInfoIdByFinancingApplyId(financingApplyId);
    }
}
