package com.inkasso.management.statistics.controller;


import com.inkasso.adapter.page.PageResult;
import com.inkasso.adapter.response.ResponseData;
import com.inkasso.factoring.system.user.service.UserService;
import com.inkasso.management.statistics.model.UserStatisticsVO;
import com.inkasso.management.statistics.model.request.QueryUserStatisticsRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 小程序注册用户数据统计
 */
@RestController
@RequestMapping("statistics")
public class UserStatisticsController {

     @Autowired
     private UserService userService;


     @RequestMapping("userStatistics")
     public ResponseData  userStatistics(QueryUserStatisticsRequest queryUserStatisticsRequest){
          PageResult<UserStatisticsVO> userStatisticsVOPageResult = userService.pageUserStatistic(
              queryUserStatisticsRequest);
          return ResponseData.success(userStatisticsVOPageResult);
     }


}
