package com.inkasso.adapter.bean;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class BaseBean implements Serializable {

  @TableId(type = IdType.AUTO)
  private Long id;

  @TableField(fill = FieldFill.INSERT)
  private Long userCreate;

  @TableField(fill = FieldFill.UPDATE)
  private Long userModified;

  @TableField(fill = FieldFill.INSERT)
  private Date gmtCreate;

  @TableField(fill = FieldFill.UPDATE)
  private Date gmtModified;

}
