package com.inkasso.factoring.creditmanagement.dao;

import com.inkasso.factoring.creditmanagement.entity.ProjectInformation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.creditmanagement.entity.vo.UserBiddingProjectsVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 项目信息 Mapper 接口
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
@Mapper
public interface ProjectInformationMapper extends BaseMapper<ProjectInformation> {

    List<UserBiddingProjectsVo> getUserBiddingProjects(Long sysUserId);

    List<ProjectInformation> getLocalPurchCompletedProject(Long userId);

}
