package com.inkasso.factoring.system.user.dao;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.inkasso.factoring.system.user.entity.UserDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.inkasso.factoring.system.user.model.dto.UserDTO;
import com.inkasso.management.statistics.model.UserStatisticsVO;
import com.inkasso.management.statistics.model.request.QueryUserStatisticsRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 张超
* @date  2023-08-15
*/
public interface UserDAO extends BaseMapper<UserDO> {

    UserDTO getUserByOpenId(String openId);


    List<UserDTO> getByResourceCode(String resourceCode);


    Page<UserStatisticsVO> pageUserStatistis(Page page,@Param("query") QueryUserStatisticsRequest queryUserStatisticsRequest);

}